### Method

# GObject Object set_qdata

#### Declaration

    void
    g_object_set_qdata (
      GObject* object,
      GQuark quark,
      gpointer data
    )

#### Description

This sets an opaque, named pointer on an object. The name is specified through a `GQuark` (retrieved e.g. via g_quark_from_static_string()), and the pointer can be gotten back from the `object` with `g_object_get_qdata()` until the `object` is finalized. Setting a previously set user data pointer, overrides (frees) the old pointer set, using `NULL` as pointer essentially removes the data stored.

This method is not directly available to language bindings.

#### Parameters

`quark`

  Type: `GQuark`

  A `GQuark`, naming the user data pointer.

`data`

  Type: `gpointer`

  An opaque user data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.